Spaces

Operations of the Knowledge Base API. Paths are relative to your deployment's API host.

GET /api/knowledge-base-api/spaces

List all spaces for the current project

Authentication: bearer token (Authorization: Bearer <token>)

StatusDescriptionBody
200application/json SpaceResponseDtoDataArrayEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

POST /api/knowledge-base-api/spaces

Create a new documentation space

Authentication: bearer token (Authorization: Bearer <token>)

Request body: application/json CreateSpaceDto

StatusDescriptionBody
201application/json SpaceResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

GET /api/knowledge-base-api/spaces/{slug}

Get a space by slug

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
slugpathstringyes
StatusDescriptionBody
200application/json SpaceResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

DELETE /api/knowledge-base-api/spaces/{slug}

Delete a custom documentation space

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
slugpathstringyes
StatusDescriptionBody
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

POST /api/knowledge-base-api/spaces/{slug}/contract-to-federated

Contract an OWNED space to FEDERATED, permanently dropping the page bodies it mirrors

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
slugpathstringyes
StatusDescriptionBody
200application/json FederationContractionResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto